Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 316601 - <=media-sound/ncmpcpp-0.5.3 enable/disable outputs - screen not refreshed
Summary: <=media-sound/ncmpcpp-0.5.3 enable/disable outputs - screen not refreshed
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Jeroen Roovers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-22 00:18 UTC by Ivan c00kiemon5ter Kanakarakis
Modified: 2010-06-12 20:36 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
fix for the issue (0001-outputs-update-list-after-changing-output-if-idle-mo.patch,716 bytes, patch)
2010-05-29 22:08 UTC, Andrzej Rybczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan c00kiemon5ter Kanakarakis 2010-04-22 00:18:53 UTC
enabling - disabling outputs doesn't work right. 
You can enable an output, but the screen doesn't get refreshed 
so you can't reenable it, until you quit and rerun ncmpcpp 

Reproducible: Always

Steps to Reproduce:
1.emerge ncmpcpp with outputs USE enabled and run ncmpcpp
2.go to 8th screen - outputs
3.disable output (highlight and press enter)
4.try to enable it again (same way, using 'enter')

Actual Results:  
you can't re-enable the output

Expected Results:  
output should get re enabled

to reenable the output quit ncmpcpp and restart it, go to outputs screen and enable the output.
Comment 1 Andreas K. Hüttel gentoo-dev 2010-04-23 13:44:00 UTC
Which version of ncmpcpp?
Please add the output of emerge --info !!
Comment 2 Ivan c00kiemon5ter Kanakarakis 2010-04-24 09:30:37 UTC
media-sound/ncmpcpp ~0.5.3

$ emerge --info  
Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.4.3, glibc-2.11-r1, 2.6.33-zen1 x86_64)
=================================================================
System uname: Linux-2.6.33-zen1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8200_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Thu, 22 Apr 2010 16:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p5
dev-java/java-config: 2.1.10
dev-lang/python:     2.6.5-r1, 3.1.2-r2
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1
sys-devel/gcc:       4.4.3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA -@EULA dlj-1.1 RTCW"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.ntua.gr/pub/linux/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu,--as-needed,-O1"
LINGUAS="en el"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/zen-sources /var/lib/layman/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 7zip X aac aalib acl aiglx alsa amd64 apache2 archive aspell automount bash-completion berkdb bitmap-fonts bugzilla bzip2 cairo caps cdaudio cdda cdparanoia cgi chm cifs cli consolekit corefonts cracklib crypt ctype cups curl custom-optimization cxx dbus dhcpcd dirac directfb dmx dri dvd dvdr ext2 ext3 ext4 extensions faac faad fam fastbuild fat fbcon fbcondecor ffmpeg filter flac fontconfig force-cgi-redirect fortran ftp fuse gcrypt gd gdbm gif git glitz gnutls gpg gpm graphviz gtk h323 hal hash iconv id3tag imagemagick imlib java java6 jpeg layman libcaca libffi libnotify libssh2 lua lyrics lzo mad memlimit mercurial mmx modules mp3 mp4 mpd msn mudflap multilib mysql nano-syntax ncurses nls nptl nptlonly nsplugin nss ntfs nvidia offensive ogg opengl openmp openssl pam pcre pdf pdo perl php png posix pppd python python3 qt3support qt4 rar readline reflection samba sasl schroedinger screenshot sdk session simplexml sip smp soap sockets sound spell spl sql sqlite sse sse2 sse4.1 ssl ssse3 startup-notification subversion svg symlink sysfs taglib tcpd theora threads thumbnail tiff timezone tokenizer truetype truetype-fonts type1-fonts unicode usb v4l v4l2 vcd vdpau vim vim-pager vim-syntax vorbis wav wifi wma wps x264 xcb xcomposite xft xml xmlreader xmlwriter xorg xprint xsl xterm-color xv xvid xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en el" NETBEANS_MODULES="cnd ide java dlight harness websvccommon nb" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Andrzej Rybczak 2010-05-29 22:08:56 UTC
Created attachment 233461 [details, diff]
fix for the issue
Comment 4 Ivan c00kiemon5ter Kanakarakis 2010-06-01 18:53:30 UTC
If you tell me how to patch the source I can test it, 
or I could fill an upstream report and include this info if you haven't already.
I'll post the upstream bug report link here, so anyone can follow.

thanks
Comment 5 Andrzej Rybczak 2010-06-02 21:04:36 UTC
(In reply to comment #4)
> If you tell me how to patch the source I can test it, 
> or I could fill an upstream report and include this info if you haven't
> already.
> I'll post the upstream bug report link here, so anyone can follow.
> 
> thanks
> 

I am upstream ;) The patch I provided is already applied in git (http://repo.or.cz/w/ncmpcpp.git/commit/fe6106f22258f4d3109a301efb6ed397b13ad2b5).

The easiest method to apply this patch would be to unpack ncmpcpp-0.5.3.tar.bz2, go to its directory, copy there the patch, execute `patch -p1 < 0001-outputs-update-list-after-changing-output-if-idle-mo.patch` and compile ncmpcpp.
Comment 6 Jeroen Roovers gentoo-dev 2010-06-12 15:03:28 UTC
Is this fixed in 0.5.4?
Comment 7 Andrzej Rybczak 2010-06-12 20:29:06 UTC
yes.
Comment 8 Ivan c00kiemon5ter Kanakarakis 2010-06-12 20:32:04 UTC
It is, I confirm :)